org.apache.xmlbeans

## Class XmlID.Factory

- java.lang.Object
- - org.apache.xmlbeans.XmlID.Factory

- Enclosing interface:
    XmlID

      public static final class XmlID.Factory
      extends java.lang.Object

  A class with methods for creating instances of `XmlID`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XmlID` | `newInstance()` Creates an empty instance of `XmlID`
    `static XmlID` | `newInstance(XmlOptions options)` Creates an empty instance of `XmlID`
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
    `static XmlID` | `newValue(java.lang.Object obj)` Creates an immutable `XmlID` value
    `static XmlID` | `parse(java.io.File f)` Parses a `XmlID` fragment from a File.
    `static XmlID` | `parse(java.io.File f, XmlOptions options)` Parses a `XmlID` fragment from a File.
    `static XmlID` | `parse(java.io.InputStream is)` Parses a `XmlID` fragment from an InputStream.
    `static XmlID` | `parse(java.io.InputStream is, XmlOptions options)` Parses a `XmlID` fragment from an InputStream.
    `static XmlID` | `parse(Node node)` Parses a `XmlID` fragment from a DOM Node.
    `static XmlID` | `parse(Node node, XmlOptions options)` Parses a `XmlID` fragment from a DOM Node.
    `static XmlID` | `parse(java.io.Reader r)` Parses a `XmlID` fragment from a Reader.
    `static XmlID` | `parse(java.io.Reader r, XmlOptions options)` Parses a `XmlID` fragment from a Reader.
    `static XmlID` | `parse(java.lang.String s)` Parses a `XmlID` fragment from a String.
    `static XmlID` | `parse(java.lang.String s, XmlOptions options)` Parses a `XmlID` fragment from a String.
    `static XmlID` | `parse(java.net.URL u)` Parses a `XmlID` fragment from a URL.
    `static XmlID` | `parse(java.net.URL u, XmlOptions options)` Parses a `XmlID` fragment from a URL.
    `static XmlID` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
    `static XmlID` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
    `static XmlID` | `parse(javax.xml.stream.XMLStreamReader xsr)` Parses a `XmlID` fragment from an XMLStreamReader.
    `static XmlID` | `parse(javax.xml.stream.XMLStreamReader xsr, XmlOptions options)` Parses a `XmlID` fragment from an XMLStreamReader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static XmlID newInstance()

      Creates an empty instance of `XmlID`

    - #### newInstance

          public static XmlID newInstance(XmlOptions options)

      Creates an empty instance of `XmlID`

    - #### newValue

          public static XmlID newValue(java.lang.Object obj)

      Creates an immutable `XmlID` value

    - #### parse

          public static XmlID parse(java.lang.String s)
                             throws XmlException

      Parses a `XmlID` fragment from a String. For example: "`<xml-fragment>n1</xml-fragment>`".
      Throws:
        `XmlException`

    - #### parse

          public static XmlID parse(java.lang.String s,
                                    XmlOptions options)
                             throws XmlException

      Parses a `XmlID` fragment from a String. For example: "`<xml-fragment>n1</xml-fragment>`".
      Throws:
        `XmlException`

    - #### parse

          public static XmlID parse(java.io.File f)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a File.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.io.File f,
                                    XmlOptions options)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a File.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.net.URL u)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a URL.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.net.URL u,
                                    XmlOptions options)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a URL.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.io.InputStream is)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from an InputStream.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.io.InputStream is,
                                    XmlOptions options)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from an InputStream.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.io.Reader r)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a Reader.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(java.io.Reader r,
                                    XmlOptions options)
                             throws XmlException,
                                    java.io.IOException

      Parses a `XmlID` fragment from a Reader.
      Throws:
        `XmlException`
        `java.io.IOException`

    - #### parse

          public static XmlID parse(Node node)
                             throws XmlException

      Parses a `XmlID` fragment from a DOM Node.
      Throws:
        `XmlException`

    - #### parse

          public static XmlID parse(Node node,
                                    XmlOptions options)
                             throws XmlException

      Parses a `XmlID` fragment from a DOM Node.
      Throws:
        `XmlException`

    - #### parse

          public static XmlID parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                             throws XmlException,
                                    org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
      Parses a `XmlID` fragment from an XMLInputStream.
      Throws:
        `XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### parse

          public static XmlID parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                    XmlOptions options)
                             throws XmlException,
                                    org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
      Parses a `XmlID` fragment from an XMLInputStream.
      Throws:
        `XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### parse

          public static XmlID parse(javax.xml.stream.XMLStreamReader xsr)
                             throws XmlException

      Parses a `XmlID` fragment from an XMLStreamReader.
      Throws:
        `XmlException`

    - #### parse

          public static XmlID parse(javax.xml.stream.XMLStreamReader xsr,
                                    XmlOptions options)
                             throws XmlException

      Parses a `XmlID` fragment from an XMLStreamReader.
      Throws:
        `XmlException`

    - #### newValidatingXMLInputStream

          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                           throws XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
      Returns a validating XMLInputStream.
      Throws:
        `XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### newValidatingXMLInputStream

          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                                  XmlOptions options)
                                                                                           throws XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
      Returns a validating XMLInputStream.
      Throws:
        `XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`